/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Misc\LoginStats.cs
Lines of code: 30
***********************************************************/


using System;
using Server.Network;
using System.IO;

namespace Server.Misc
{
	public class LoginStats
	{
		public static void Initialize()
		{
			// Register our event handler
			EventSink.Login += new LoginEventHandler( EventSink_Login );
		} 
		
		private static void EventSink_Login( LoginEventArgs args)
		{
		Mobile m = args.Mobile;
		
		new WelcomeTimer( m ).Start();	
		}
		

		public static void Show(Mobile m)
		{
			int userCount = NetState.Instances.Count;
			int itemCount = World.Items.Count;
			int mobileCount = World.Mobiles.Count;

			

				m.SendMessage( "There {1} currently {2} user{3} online, with {4} item{5} and {6} mobile{7} in the world.",
				m.Name,
				userCount == 1 ? "is" : "are",
				userCount, userCount == 1 ? "" : "s",
				itemCount, itemCount == 1 ? "" : "s",
				mobileCount, mobileCount == 1 ? "" : "s" );
		}
	}
}